Unit tzf16r_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF16R_p, ZF16R_p;

function tzf16r: String; 

implementation

function tzf16r: String;
var
ITMAX,IERR :Integer;
A,B,EPS,ROOT :Real;
begin
Result := '';
A := -2.57;
B := 1.57;
EPS := 1.E-5;
ITMAX := 30;
ZF16R(FZF16R,A,B,EPS,ROOT,ITMAX,IERR);
Result := Result + Format('%20.16f %5d %5d ',[ROOT,_ZF16RR.elm1,IERR]) + #$0D#$0A;
UtRes('tzf16r',Result);  //    tzf16r.res
exit;
end;

end.
